Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet.mgmt
Interface AppletAccessCardService

All Known Subinterfaces:
  AppletManagerCardService, EMVAppletAccessCardService

All Known Implementing Classes:
  AbstractAppletAccessor, BasicEMVAppletAccess

public abstract interface AppletAccessCardService
extends CardServiceInterface

The `AppletAccessCardService` interface defines a set of calls for accessing card-resident applets.

The set of methods supports access to an applet directory and retrieve informations like listed applets, security domain, label, etc.. These informations are stored in an AppletInfo.

This interface is typically implemented for card technology handling multi-application management different (e.g. EMV compliant cards, JavaCards, ...)

Since:
  OCF1.2
See Also:
  `AppletInfo`, `AppletID`

Method Summary
`boolean` | `exists(AppletID appletIdentifier)` Check whether the card-resident applet with the specified `AppletID` exists on the card.
`AppletInfo` | `getInfo(AppletID appletIdentifier)` Reads the `AppletInfo` of a given applet ID from the cards list of applets.
`AppletInfo[]` | `list()` List the available card-resident applets on the smart card.

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Method Detail

### list

    public AppletInfo[] list()
                      throws opencard.core.service.CardServiceException,
                             opencard.core.terminal.CardTerminalException

  List the available card-resident applets on the smart card.

  Returns:
    An array of `AppletInfo`s of the card-resident applets.
  Throws:
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

### exists

    public boolean exists(AppletID appletIdentifier)
                   throws opencard.core.service.CardServiceException,
                          opencard.core.terminal.CardTerminalException

  Check whether the card-resident applet with the specified `AppletID` exists on the card.

  Parameters:
    `applet` - identifier The `AppletID` object referring to the applet whose existence we want to check.
  Returns:
    `true` if card-resident applet exists, otherwise return `false`.
  Throws:
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

### getInfo

    public AppletInfo getInfo(AppletID appletIdentifier)
                       throws opencard.core.service.CardServiceException,
                              opencard.core.terminal.CardTerminalException

  Reads the `AppletInfo` of a given applet ID from the cards list of applets.

  Parameters:
    `appletIdentifier` - The `AppletID` object referring to the applet whose info we want to read.
  Returns:
    An `AppletInfo` of the applets. If no applet info was found for the given `AppletID` a `null` Throws:
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD